path: /build/build/libplacebo-media-libs-5.229.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="glslang lcms opengl shaderc vulkan" emerge media-libs/libplacebo -pv -t && \
    USE="glslang lcms opengl shaderc vulkan" emerge -j ${JOBS} --nodeps media-libs/libplacebo
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libplacebo && luet-portage --dir /pkgdir/libplacebo
    media-libs/libplacebo && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:81a8eecd4faa4c6a9f973b2e63cc7993fca4357b83e791f8c1c318c933b53bac
  package:
    name: libplacebo
    version: 5.229.2
    category: media-libs
    use_flags:
    - glslang
    - lcms
    - opengl
    - shaderc
    - vulkan
    requires:
    - name: pipewire
      version: '>=0'
      category: media-video
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Reusable library for GPU-accelerated image processing primitives
    uri:
    - https://code.videolan.org/videolan/libplacebo
    license: LGPL-2.1+
    buildtimestamp: 2023-08-30 13:34:22.988535175 +0000 UTC m=+200.470053027
    labels:
      BDEPEND: virtual/pkgconfig vulkan? ( || ( dev-lang/python:3.10[xml] dev-lang/python:3.8[xml]
        dev-lang/python:3.9[xml] dev-lang/python:3.7[xml] ) || ( ( dev-lang/python:3.10[xml]
        dev-python/mako[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8[xml] dev-python/mako[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9[xml] dev-python/mako[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7[xml] dev-python/mako[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: glslang? ( dev-util/glslang ) lcms? ( media-libs/lcms:2 ) opengl? (
        media-libs/libepoxy ) shaderc? ( >=media-libs/shaderc-2017.2 ) vulkan? ( dev-util/vulkan-headers
        media-libs/vulkan-loader )
      IUSE: glslang lcms +opengl +shaderc +vulkan
      RDEPEND: glslang? ( dev-util/glslang ) lcms? ( media-libs/lcms:2 ) opengl? (
        media-libs/libepoxy ) shaderc? ( >=media-libs/shaderc-2017.2 ) vulkan? ( dev-util/vulkan-headers
        media-libs/vulkan-loader )
      emerge.packages: media-libs/libplacebo
      kit: media-kit
      original.package.name: media-libs/libplacebo
      original.package.slot: "0"
      original.package.version: 5.229.2
    treedir: /build/packages
  package_dir: /pkgdir/libplacebo
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: bb7bc8befc57c35503bdcdadfaa785bf1387a737e7c491227bb60a943a6870d0
compressiontype: zstd
files:
- usr/bin/plplay
- usr/include/libplacebo/colorspace.h
- usr/include/libplacebo/common.h
- usr/include/libplacebo/config.h
- usr/include/libplacebo/d3d11.h
- usr/include/libplacebo/dispatch.h
- usr/include/libplacebo/dither.h
- usr/include/libplacebo/dummy.h
- usr/include/libplacebo/filters.h
- usr/include/libplacebo/gpu.h
- usr/include/libplacebo/log.h
- usr/include/libplacebo/opengl.h
- usr/include/libplacebo/renderer.h
- usr/include/libplacebo/shaders/colorspace.h
- usr/include/libplacebo/shaders/custom.h
- usr/include/libplacebo/shaders/deinterlacing.h
- usr/include/libplacebo/shaders/dithering.h
- usr/include/libplacebo/shaders/film_grain.h
- usr/include/libplacebo/shaders/icc.h
- usr/include/libplacebo/shaders/lut.h
- usr/include/libplacebo/shaders/sampling.h
- usr/include/libplacebo/shaders.h
- usr/include/libplacebo/swapchain.h
- usr/include/libplacebo/tone_mapping.h
- usr/include/libplacebo/utils/dav1d.h
- usr/include/libplacebo/utils/dav1d_internal.h
- usr/include/libplacebo/utils/frame_queue.h
- usr/include/libplacebo/utils/libav.h
- usr/include/libplacebo/utils/libav_internal.h
- usr/include/libplacebo/utils/upload.h
- usr/include/libplacebo/vulkan.h
- usr/lib64/libplacebo.so
- usr/lib64/libplacebo.so.234
- usr/lib64/pkgconfig/libplacebo.pc
- usr/share/doc/libplacebo-5.229.2/README.md.bz2
- var/db/pkg/media-libs/libplacebo-5.229.2/BDEPEND
- var/db/pkg/media-libs/libplacebo-5.229.2/BUILD_TIME
- var/db/pkg/media-libs/libplacebo-5.229.2/CATEGORY
- var/db/pkg/media-libs/libplacebo-5.229.2/CBUILD
- var/db/pkg/media-libs/libplacebo-5.229.2/CFLAGS
- var/db/pkg/media-libs/libplacebo-5.229.2/CHOST
- var/db/pkg/media-libs/libplacebo-5.229.2/CONTENTS
- var/db/pkg/media-libs/libplacebo-5.229.2/COUNTER
- var/db/pkg/media-libs/libplacebo-5.229.2/CXXFLAGS
- var/db/pkg/media-libs/libplacebo-5.229.2/DEFINED_PHASES
- var/db/pkg/media-libs/libplacebo-5.229.2/DEPEND
- var/db/pkg/media-libs/libplacebo-5.229.2/DESCRIPTION
- var/db/pkg/media-libs/libplacebo-5.229.2/EAPI
- var/db/pkg/media-libs/libplacebo-5.229.2/FEATURES
- var/db/pkg/media-libs/libplacebo-5.229.2/HOMEPAGE
- var/db/pkg/media-libs/libplacebo-5.229.2/INHERITED
- var/db/pkg/media-libs/libplacebo-5.229.2/IUSE
- var/db/pkg/media-libs/libplacebo-5.229.2/IUSE_EFFECTIVE
- var/db/pkg/media-libs/libplacebo-5.229.2/KEYWORDS
- var/db/pkg/media-libs/libplacebo-5.229.2/LDFLAGS
- var/db/pkg/media-libs/libplacebo-5.229.2/LICENSE
- var/db/pkg/media-libs/libplacebo-5.229.2/NEEDED
- var/db/pkg/media-libs/libplacebo-5.229.2/PF
- var/db/pkg/media-libs/libplacebo-5.229.2/PROVIDES
- var/db/pkg/media-libs/libplacebo-5.229.2/RDEPEND
- var/db/pkg/media-libs/libplacebo-5.229.2/REQUIRES
- var/db/pkg/media-libs/libplacebo-5.229.2/RESTRICT
- var/db/pkg/media-libs/libplacebo-5.229.2/SIZE
- var/db/pkg/media-libs/libplacebo-5.229.2/SLOT
- var/db/pkg/media-libs/libplacebo-5.229.2/USE
- var/db/pkg/media-libs/libplacebo-5.229.2/environment.bz2
- var/db/pkg/media-libs/libplacebo-5.229.2/libplacebo-5.229.2.ebuild
- var/db/pkg/media-libs/libplacebo-5.229.2/repository
package_cacheimage: ""
runtime:
  name: libplacebo
  version: 5.229.2
  category: media-libs
  use_flags:
  - glslang
  - lcms
  - opengl
  - shaderc
  - vulkan
  requires:
  - name: vulkan-headers
    version: '>=0'
    category: dev-util
  - name: lcms
    version: '>=0'
    category: media-libs-2
  - name: libepoxy
    version: '>=0'
    category: media-libs
  - name: shaderc
    version: '>=0'
    category: media-libs
  - name: vulkan-loader
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Reusable library for GPU-accelerated image processing primitives
  uri:
  - https://code.videolan.org/videolan/libplacebo
  license: LGPL-2.1+
  labels:
    BDEPEND: virtual/pkgconfig vulkan? ( || ( dev-lang/python:3.10[xml] dev-lang/python:3.8[xml]
      dev-lang/python:3.9[xml] dev-lang/python:3.7[xml] ) || ( ( dev-lang/python:3.10[xml]
      dev-python/mako[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8[xml] dev-python/mako[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9[xml] dev-python/mako[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7[xml] dev-python/mako[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ) ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: glslang? ( dev-util/glslang ) lcms? ( media-libs/lcms:2 ) opengl? ( media-libs/libepoxy
      ) shaderc? ( >=media-libs/shaderc-2017.2 ) vulkan? ( dev-util/vulkan-headers
      media-libs/vulkan-loader )
    IUSE: glslang lcms +opengl +shaderc +vulkan
    RDEPEND: glslang? ( dev-util/glslang ) lcms? ( media-libs/lcms:2 ) opengl? ( media-libs/libepoxy
      ) shaderc? ( >=media-libs/shaderc-2017.2 ) vulkan? ( dev-util/vulkan-headers
      media-libs/vulkan-loader )
    emerge.packages: media-libs/libplacebo
    kit: media-kit
    original.package.name: media-libs/libplacebo
    original.package.slot: "0"
    original.package.version: 5.229.2
